DADA2 error in galaxy

I received an error while denoising with DADA2 in Galaxy.

This plugin encountered an error:
An error was encountered while
running DADA2 in R (return code -9),
please inspect stdout and stderr to
learn more.
Here is the error:

:frowning:
Loading required package: Rcpp
Traceback (most recent call last):
File "/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 279, in denoise_paired
run_commands([cmd])
File "/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
subprocess.run(cmd, check=True)
File "/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/lib/python3.8/subprocess.py", line 516, in run
raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['run_dada_paired.R', '/tmp/tmplxjlonhk/forward', '/tmp/tmplxjlonhk/reverse', '/tmp/tmplxjlonhk/output.tsv.biom', '/tmp/tmplxjlonhk/track.tsv', '/tmp/tmplxjlonhk/filt_f', '/tmp/tmplxjlonhk/filt_r', '150', '150', '0', '0', '2.0', '2.0', '2', '12', 'independent', 'consensus', '1.0', '4', '1000000']' died with <Signals.SIGKILL: 9>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/export/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/bin/q2galaxy", line 11, in
sys.exit(root())
File "/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/lib/python3.8/site-packages/click/core.py", line 829, in call
return self.main(*args, **kwargs)
File "/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/lib/python3.8/site-packages/click/core.py", line 782, in main
rv = self.invoke(ctx)
File "/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/lib/python3.8/site-packages/click/core.py", line 1259, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File "/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/lib/python3.8/site-packages/click/core.py", line 1066, in invoke
return ctx.invoke(self.callback, **ctx.params)
File "/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/lib/python3.8/site-packages/click/core.py", line 610, in invoke
return callback(*args, **kwargs)
File "/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/lib/python3.8/site-packages/q2galaxy/main.py", line 92, in run
action_runner(plugin, action, config)
File "/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/lib/python3.8/site-packages/q2galaxy/core/drivers/action.py", line 30, in action_runner
results = _execute_action(action, action_kwargs,
File "/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/lib/python3.8/site-packages/q2galaxy/core/drivers/stdio.py", line 38, in wrapped
return function(*args, **kwargs)
File "/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/lib/python3.8/site-packages/q2galaxy/core/drivers/action.py", line 115, in _execute_action
return action(**action_kwargs)
File "", line 2, in denoise_paired
File "/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/lib/python3.8/site-packages/qiime2/sdk/action.py", line 245, in bound_callable
outputs = self.callable_executor(scope, callable_args,
File "/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/lib/python3.8/site-packages/qiime2/sdk/action.py", line 391, in callable_executor
output_views = self._callable(**view_args)
File "/tool_deps/_conda/envs/mulled-v1-d2fbd9e406e52f729baea46fa009d86f67fd285aefb55846f62ec86080bf4cab/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 292, in denoise_paired
raise Exception("An error was encountered while running DADA2"
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

I am using a MacBook Pro with intel core i9 processor with 8 cores, 64GB of RAM and 1T SSD.
Here is the demux.qzv file:

Galaxy248-[qiime2_demux_summarize_on_data_247__visualization.qzv] (1).qzv (317.8 KB)

I truncated at 150 and I have tried several times changing the n_threads and still get an R error either code 1 or -9.
Right now I am running DADA2 using my terminal. It has been running for two days now and hasn't finished.

I also run the DADA2 using the Purple Line in DNA subway https://dnasubway.cyverse.org/. Here is the visualization file for the table
68602.table-trim68602.qzv (1.8 MB)

I run the core biometrics in DNA subway with 25000 sequence depth and it gave me an error. I lowered the depth to 15000 and now it has been running for about 22 hours.

Any help would be appreciated.
Thank you
Fernando

Hi @nietof,

Thanks for reaching out :wave:t3:

Error code 9 is typically due to memory constraints on your machine. I'd recommend checking out these related forum posts for suggestions on how to resolve this!

Cheers :lizard:

1 Like

Hi @lizgehret
thank you for the pointer. I guess it is a memory issue, but why is it happening only when I use galaxy? I ran the DADA2 using my native installation and even thought it has taken almost three days, it completed it succesfully and i have all the three DADA2 outputs. BTW in galaxy i changed the number of threads to 0 so that it would use all the cores available and it still gave me the same code -9 error. Anyway, thank you for your help.
Fernando

@nietof the threads parameters on galaxy don't work the same as on your local machine. The galaxy developers actually told us we should stop exposing the threads params on galaxy at all and instead use other methods to determine how many threads are available to use because they don't want it to be user controlled. This change will most likely be coming with the next release of QIIME 2 though we don't know when a given galaxy cluster will be updating the version of QIIME 2 it is using.

Setting that aside, under normal conditions increasing the number of threads would actually increase memory usage. I'm not sure how much memory the galaxy cluster is letting you use, nor do I know how to check on galaxy, but it sounds like they aren't giving you as much memory as you have locally. If you really want it to work on galaxy your best bet is actually setting threads to 1 as that will use the least memory. If you still get this error, then your data is probably just too big for the amount of memory they're allowing you to use.

1 Like

@Oddant1
thank you, that was very helpful. As I said I was able to denoise the data locally. Hopefully I can finish the analysis locally too.

2 Likes

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.